cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_components.get_component_objects(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", {"limit": 20}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.getComponentObjects('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->getComponentObjects('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d', [
'limit' => 20,
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjects;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjects> response = client.customComponents().getComponentObjects(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.GetComponentObjectsAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.getComponentObjects(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().GetComponentObjects(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"url": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"attributes": [
{}
],
"attribute_groups": [
{}
],
"restrictions": [
{}
],
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>",
"workflow_stage": "<unknown>",
"workflow_data": [
{}
],
"custom_objects": [
{}
],
"accounts": [
{}
],
"items": [
{}
],
"orders": [
{}
],
"quotes": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
}
],
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
}
}Custom components
List component objects
Returns one page of a component’s objects.
GET
/
components
/
{component_uuid}
/
objects
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_components.get_component_objects(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", {"limit": 20}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.getComponentObjects('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->getComponentObjects('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d', [
'limit' => 20,
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjects;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjects> response = client.customComponents().getComponentObjects(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.GetComponentObjectsAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.getComponentObjects(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().GetComponentObjects(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"url": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"attributes": [
{}
],
"attribute_groups": [
{}
],
"restrictions": [
{}
],
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>",
"workflow_stage": "<unknown>",
"workflow_data": [
{}
],
"custom_objects": [
{}
],
"accounts": [
{}
],
"items": [
{}
],
"orders": [
{}
],
"quotes": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
}
],
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
}
}Lists the objects of the component with this
cmp_ id, with each object’s owner in parents, its attributes, its workflow state and the accounts, items, orders and quotes linked to it. Records are under data and paging details under pagination. Fields filter as filter_<field>.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The component definition's id, which starts with cmp_.
Query Parameters
The most records to return on one page.
Example:
20
The next_cursor from the previous page, to read the page after it.
A field to sort by, such as created_on, or -created_on for newest first.
Example:
"-created_on"